| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
qx::IxDataMemberSqlCallbackParams Struct Reference
QxDataMember : QxOrm library data member (or property) used by introspection engine

qx::IxDataMemberSqlCallbackParams : list of parameters used by custom callback functions to override SQL queries generated by QxOrm library More...

`#include <IxDataMember.h>`

List of all members.

## Public Member Functions
| IxDataMemberSqlCallbackParams (const IxDataMember *p, QString &sql)
| ~IxDataMemberSqlCallbackParams ()
## Public Attributes
const IxDataMember * | pDataMember
| The data member instance which calls custom callback function.
QString & | sSQL
| Default value is the SQL generated by QxOrm library for this data member, can be changed by the custom callback function.
QString | sTable
| SQL table name (not always provided)
QString | sSep
| SQL separator (not always provided)
QString | sCustomAlias
| SQL custom alias (not always provided)
QString | sSuffixAlias
| SQL suffix alias (not always provided)
QString | sAppend
| String to append to SQL query (not always provided)
QString | sOtherName
| SQL other name for this data member (not always provided)
bool | bClauseWhere
| Define if we are building SQL in the clause WHERE or not (not always provided)
bool | bCheckFKPartOfPK
| Check if foreign key is part of primary key (not always provided)
int | iIndexName
| Index name for composite primary key (not always provided)
qx::dao::detail::IxDao_Helper * | pDaoHelper
| DAO helper instance.
qx::IxSqlQueryBuilder * | pSqlQueryBuilder
| SQL query builder instance.

## Detailed Description

qx::IxDataMemberSqlCallbackParams : list of parameters used by custom callback functions to override SQL queries generated by QxOrm library

Definition at line 342 of file IxDataMember.h.

## Constructor & Destructor Documentation

qx::IxDataMemberSqlCallbackParams::IxDataMemberSqlCallbackParams | ( | const IxDataMember * | p,
|  | QString & | sql
| ) |  |

qx::IxDataMemberSqlCallbackParams::~IxDataMemberSqlCallbackParams | ( |  | ) |

## Member Data Documentation

bool qx::IxDataMemberSqlCallbackParams::bCheckFKPartOfPK

Check if foreign key is part of primary key (not always provided)

Definition at line 354 of file IxDataMember.h.

bool qx::IxDataMemberSqlCallbackParams::bClauseWhere

Define if we are building SQL in the clause WHERE or not (not always provided)

Definition at line 353 of file IxDataMember.h.

int qx::IxDataMemberSqlCallbackParams::iIndexName

Index name for composite primary key (not always provided)

Definition at line 355 of file IxDataMember.h.

qx::dao::detail::IxDao_Helper* qx::IxDataMemberSqlCallbackParams::pDaoHelper

DAO helper instance.

Definition at line 356 of file IxDataMember.h.

const IxDataMember* qx::IxDataMemberSqlCallbackParams::pDataMember

The data member instance which calls custom callback function.

Definition at line 345 of file IxDataMember.h.

qx::IxSqlQueryBuilder* qx::IxDataMemberSqlCallbackParams::pSqlQueryBuilder

SQL query builder instance.

Definition at line 357 of file IxDataMember.h.

QString qx::IxDataMemberSqlCallbackParams::sAppend

String to append to SQL query (not always provided)

Definition at line 351 of file IxDataMember.h.

QString qx::IxDataMemberSqlCallbackParams::sCustomAlias

SQL custom alias (not always provided)

Definition at line 349 of file IxDataMember.h.

QString qx::IxDataMemberSqlCallbackParams::sOtherName

SQL other name for this data member (not always provided)

Definition at line 352 of file IxDataMember.h.

QString qx::IxDataMemberSqlCallbackParams::sSep

SQL separator (not always provided)

Definition at line 348 of file IxDataMember.h.

QString& qx::IxDataMemberSqlCallbackParams::sSQL

Default value is the SQL generated by QxOrm library for this data member, can be changed by the custom callback function.

Definition at line 346 of file IxDataMember.h.

QString qx::IxDataMemberSqlCallbackParams::sSuffixAlias

SQL suffix alias (not always provided)

Definition at line 350 of file IxDataMember.h.

QString qx::IxDataMemberSqlCallbackParams::sTable

SQL table name (not always provided)

Definition at line 347 of file IxDataMember.h.

The documentation for this struct was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxDataMember/IxDataMember.h